
.item-media {
    z-index: 5;
    display: block;
    overflow: hidden;
    position: relative;
    mix-blend-mode: multiply;

    &__gallery {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
        display: none;

        &:hover {

            .item-media {

                &__control {

                    &.active {

                        .item-media__layout {

                            &:before {
                                background: #DCDCF6;
                            }
                        }

                        &:hover {

                            .item-media__layout {

                                &:before {
                                    background: #5F5CF4;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    &__control {
        flex-grow: 1;
        display: block;

        &.active {

            .item-media {

                &__layout {

                    &:before {
                        background: #5F5CF4;
                    }
                }
            }
        }

        &:hover {

            .item-media {

                &__layout {

                    &:before {
                        background: #5F5CF4;
                    }
                }

                &__image {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: block;
        position: absolute;
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    &__layout {
        z-index: 10;
        width: 100%;
        height: 100%;
        display: block;
        position: relative;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 20;
            height: 1px;
            position: absolute;
            background: #DCDCF6;
        }
    }


    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(xl) {

        &__gallery {
            display: flex;
        }
    }
}

.item {
    height: 100%;
    text-align: center;
    background: $white;
    position: relative;
    border-radius: rem(10);
    display: flex;
    flex-direction: column;

    &__media {
        overflow: hidden;
        border-radius: rem(10) rem(10) 0 0;
    }

    &__main {
        z-index: 10;
        padding: rem(5) rem(10) 0 rem(10);
    }

    &__title {
        color: $black;
        display: block;
        font-size: rem(13);
        line-height: rem(18);
        margin-bottom: rem(11);
        text-decoration: none;
        flex-grow: 1;
    }

    &__info {
        color: #847F97;
        display: none;
        font-size: rem(13);
        line-height: 160%;
    }

    &__params {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            margin-bottom: rem(2);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__rating {
        z-index: 10;
        left: rem(12);
        top: rem(7);
        display: flex;
        align-items: center;
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(15);
        position: absolute;
        fill: #FFEF9C;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(15);
            margin-right: rem(6);
            display: inline-block;
        }

        span {
            white-space: nowrap;
            display: inline-block;
        }
    }

    &__favorite {
        z-index: 30;
        top: 0;
        right: rem(4);
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        width: rem(29);
        height: rem(29);
        border: none;
        outline: none;
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: none;
        stroke: #AEAEE4;
        opacity: 0;
        visibility: hidden;

        i {
            height: rem(16);
            display: inline-block;
        }

        &:hover {
            stroke: $rose;
        }

        &.added {
            fill: $rose;
            stroke: $rose;
        }
    }

    &__compare {
        z-index: 30;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        width: rem(24);
        height: rem(24);
        border: none;
        outline: none;
        background: transparent;
        display: none;
        align-items: center;
        justify-content: center;
        fill: none;
        stroke: #AEAEE4;
        transition: .3s;

        i {
            height: rem(20);
            display: inline-block;
        }

        &:hover {
            stroke: $rose;
        }

        &.added {
            fill: $rose;
            stroke: $rose;
        }
    }

    &__discount {
        top: 0;
        left: 0;
        z-index: 20;
        color: $dark;
        fill: $orange;
        display: flex;
        align-items: center;
        justify-content: center;
        background: $yellow;
        position: absolute;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(19);
        width: rem(75);
        height: rem(29);
        border-radius: rem(10) 0 rem(10) 0;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(15);
            margin-right: rem(6);
            display: inline-block;
        }

        span {

        }
    }

    &__data {
        padding: rem(16) rem(10) rem(10) rem(10);
    }

    &__price {

        &--base {
            display: block;
        }

        &--ext {
            display: none;
        }

        &--current {
            display: block;
            color: $dark;
            font-weight: 700;
            font-size: rem(17);
            line-height: rem(24);
        }

        &--old {
            color: $gray;
            font-size: rem(14);
            line-height: rem(20);
            text-decoration: line-through;
        }
    }

    &__offers {
        display: none;
    }

    &__button {
        width: 100%;
        white-space: nowrap;
        padding-left: rem(24);
        padding-right: rem(24);
        position: relative;

        i {
            opacity: 0;
            visibility: hidden;
            margin: 0;
            left: auto;
            right: rem(18);
            height: rem(10);
            position: absolute;
            top: calc(50% - 0.3125rem);
        }
    }

    &--gray {
        background: $gray-100;

        .item__media {
            mix-blend-mode: multiply;
        }
    }

    &:hover {

        .item__favorite {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }
    }

    &.favorite-added {

        .item__favorite {
            opacity: 1;
            visibility: visible;
            fill: $rose;
            stroke: $rose;
        }
    }


    @include media-breakpoint-up(md) {
        text-align: left;

        &__main {
            flex-grow: 1;
            padding: rem(5) rem(28) 0 rem(28);
        }

        &__title {
            font-size: rem(14);
            line-height: rem(20);
            margin-bottom: rem(16);
        }

        &__data {
            padding: rem(16) rem(18) rem(20) rem(18);
        }

        &__price {

            &--current {
                font-size: rem(18);
                line-height: rem(25);
            }
        }

        &__favorite {
            width: rem(35);
            height: rem(35);
        }

        &__rating {
            left: rem(16);
            top: rem(10);
        }

        &__discount {
            width: rem(85);
            height: rem(35);
            font-size: rem(17);
            line-height: rem(21);
        }

        &__button {
            padding-left: rem(48);
            padding-right: rem(48);
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            padding-top: rem(18);
        }

        &__price {
            flex-wrap: wrap;
            align-items: center;
            line-height: rem(25);

            &--current {
                font-size: rem(18);
                margin-right: rem(10);
            }

            &--base {
                display: flex;
            }
        }
    }
}

.item--expanded {
    text-align: left;
    flex-wrap: wrap;
    flex-direction: row;
    grid-column-start: 1;
    grid-column-end: 3;

    .item {

        &__media {
            width: 45%;
            flex-shrink: 0;
            padding: rem(10) 0 0 rem(10);
        }

        &__main {
            width: 55%;
            padding: rem(18) rem(17) 0 rem(10);
        }

        &__title {
            margin-bottom: rem(10);
        }

        &__actions {
            display: flex;
            align-items: center;
            margin-bottom: rem(10);
        }

        &__favorite {
            top: auto;
            left: auto;
            right: auto;
            opacity: 1;
            width: rem(24);
            height: rem(24);
            visibility: visible;
            position: relative;
            margin-right: rem(12);

            i {
                height: rem(20);
            }
        }

        &__compare {
            display: flex;
        }

        &__rating {
            top: auto;
            left: auto;
            right: auto;
            position: relative;
            margin-right: rem(12);

            i {
                height: rem(17);
            }
        }

        &__data {
            width: 100%;
            margin-top: rem(11);
            padding: rem(13) rem(17) rem(20) rem(17);
            border-top:  rem(1) solid $gray-lilac;
        }

        &__price {
            font-size: rem(18);
            line-height: rem(25);
        }

        &__offers {
            display: block;

        }

        &__offers {
            list-style: none;
            font-weight: 600;
            font-size: rem(13);
            line-height: rem(21);
            margin-bottom: rem(15);

            &--row {
                margin-bottom: rem(4);
                display: flex;
                align-items: center;
                justify-content: space-between;

                &:last-child {
                    margin-bottom: 0;
                }
            }

            &--shop {
                color: $blue;
                display: inline-block;
                text-decoration: none;
            }

            &--price {
                font-weight: 600;
            }
        }
    }

    @include media-breakpoint-up(sm) {
        align-items: center;
    }

    @include media-breakpoint-up(md) {
        max-width: 100%;
        grid-column-end: 4;
        padding: rem(24px) rem(24) rem(28) rem(24);
        flex-wrap: nowrap;
        align-items: inherit;

        .item {

            &__media {
                width: rem(198);
                flex-shrink: 0;
                padding-right: rem(24);
            }

            &__main {
                width: calc(100% - 23rem);
                flex-shrink: 0;
                padding: 0 rem(20) 0 0;
            }

            &__title {
                margin-bottom: rem(14);
            }

            &__actions {
                margin-bottom: rem(14);
            }

            &__info {
                display: block;
            }

            &__price {
                margin-bottom: rem(17);

                &--base {
                    display: none;
                }

                &--ext {
                    display: block;
                }
            }

            &__data {
                margin: 0;
                padding: 0;
                width: rem(170);
                flex-shrink: 0;
                display: flex;
                flex-direction: column;
                border-top: none;
            }

            &__offers {
                flex-grow: 1;
            }

            &__button {

                i {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(24) rem(20) rem(32) rem(30);

        .item {

            &__media {
                width: rem(272);
                padding-right: rem(52);
            }

            &__main {
                width: calc(100% - 27.875rem);
            }

            &__title {
                font-size: rem(14);
                line-height: rem(20);
            }
        }
    }
}

.product-grid {
    display: grid;
    grid-row-gap: rem(5);
    grid-column-gap: rem(5);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(sm) {
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(30);
        grid-column-gap: rem(30);

        &--four {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }
}
